/* This file is part of the KDE project

   Copyright (C) 2008 Javier Goday <jgoday @ gmail.com>

   Use the filesystem browser plugin boomkark files copyrighted by
   Copyright (C) 2001 Christoph Cullmann <cullmann@kde.org>
   Copyright (C) 2001 Joseph Wenninger <jowenn@kde.org>
   Copyright (C) 2001 Anders Lund <anders.lund@lund.tdcadsl.dk>
   Copyright (C) 2007 Mirko Stocker <me@misto.ch>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef KATETREEVIEWTOOLBAR_H
#define KATETREEVIEWTOOLBAR_H

#include <QHBoxLayout>

class KateTreeView;
namespace Kate {
    class MainWindow;
};

class KateTreeViewToolbar : public QHBoxLayout
{
Q_OBJECT
public:
    KateTreeViewToolbar(QWidget *parent, Kate::MainWindow *window, KateTreeView *view);
    ~KateTreeViewToolbar();

signals:
    /**
    * emited when the up button is clicked
    */
    void upClicked();

private:
    KateTreeView *m_treeview;
};

#endif
